[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#4376: vm doesn't use /etc/emacs/site-start.d

Package: vm
Version: 5.95beta-2

vm's postinst follows /usr/lib/emacs/site-lisp/site-start.el and
modifies the file it ultimately points to in order to arrange for its
initialization code to be run at startup.

It should, instead, place the vm-init.el file in the directory
/etc/emacs/site-start.d.  When this is done it should depend on emacs
being >= 19.34-2 (unless someone knows earlier versions of the emacs
package which have this directory.)

Do not forget that upgrading to a later version of vm shouldn't cause
it to install itself twice.

(I'll find some time to sort all my packages out soon, honest.. l-)

Richard Kettlewell  richard@greenend.org.uk  richard@elmail.co.uk

Reply to: